// pages/MeetingIndexDetail/MeetingIndexDetail.js
var app = getApp();
const DETAIL_URL = "plugin.conference.api.conference-activity.get-enrol-data";
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    list: [],
    conference_id: '',
    member_id: ''
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.id) {
      this.setData({
        conference_id: options.id
      });
    }
    if (options.member_id) {
      this.setData({
        member_id: options.member_id
      });
    }
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  onShareTimeline(){},
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss(DETAIL_URL);
    urlStr += '&conference_id=' + that.data.conference_id;
    urlStr += '&member_id=' + that.data.member_id;
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            list: res.data
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  }
});
